Advisory Details

October 15th, 2021

Foxit PDF Reader AcroForm Use-After-Free Information Disclosure Vulnerability

ZDI-21-1203
ZDI-CAN-14975

CVE ID CVE-2021-34972
CVSS SCORE 3.3, (AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N)
AFFECTED VENDORS Foxit
AFFECTED PRODUCTS PDF Reader
VULNERABILITY DETAILS

This vulnerability allows remote attackers to disclose sensitive information on affected installations of Foxit PDF Reader. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the processing of AcroForms. The issue results from the lack of validating the existence of an object prior to performing operations on the object. An attacker can leverage this in conjunction with other vulnerabilities to execute arbitrary code in the context of the current process.

ADDITIONAL DETAILS Foxit has issued an update to correct this vulnerability. More details can be found at:
https://www.foxit.com/support/security-bulletins.html
DISCLOSURE TIMELINE
  • 2021-09-01 - Vulnerability reported to vendor
  • 2021-10-15 - Coordinated public release of advisory
CREDIT ZhangJiaxing(@r0fm1a) from Codesafe Team of Legendsec at Qi'anxin Group
BACK TO ADVISORIES